/**
<summary>
Restore diagram 'Main'
</summary>
<remarks>
Generated by Tool_ScriptDiagram2005/Tool_VarbinaryToVarcharHex
Will attempt to create [sysdiagrams] table if it doesn't already exist
</remarks>
<generated>2011-07-11 15:24</generated>
*/
PRINT '=== Tool_ScriptDiagram2005 restore diagram [Main] ==='
	-- If the sysdiagrams table has not been created in this database, create it!
				IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'sysdiagrams')
				BEGIN
					-- Create table script generated by Sql Server Management Studio
					-- _Assume_ this is roughly equivalent to what Sql Server/Management Studio
					-- creates the first time you add a diagram to a 2005 database
					CREATE TABLE [dbo].[sysdiagrams](
						[name] [sysname] NOT NULL,
						[principal_id] [int] NOT NULL,
						[diagram_id] [int] IDENTITY(1,1) NOT NULL,
						[version] [int] NULL,
						[definition] [varbinary](max) NULL,
					PRIMARY KEY CLUSTERED 
					(
						[diagram_id] ASC
					)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ,
					 CONSTRAINT [UK_principal_name] UNIQUE NONCLUSTERED 
					(
						[principal_id] ASC,
						[name] ASC
					)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) 
					) 
					EXEC sys.sp_addextendedproperty @name=N'microsoft_database_tools_support', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'sysdiagrams'
					PRINT '[sysdiagrams] table was created as it did not already exist'
				END
				-- Target table will now exist, if it didn't before
SET NOCOUNT ON -- Hide (1 row affected) messages
DECLARE @newid INT
DECLARE @DiagramSuffix          varchar (50)
 
PRINT 'Suffix diagram name with date, to ensure uniqueness'
SET @DiagramSuffix = ''
 
PRINT 'Create row for new diagram'
BEGIN TRY
    PRINT 'Write diagram Main into new row (and get [diagram_id])'
    INSERT INTO sysdiagrams ([name], [principal_id], [version], [definition]) VALUES ('Main'+@DiagramSuffix, 1, 1, 0x)
    SET @newid = SCOPE_IDENTITY()
END TRY
BEGIN CATCH
    PRINT 'XxXxX ' + Error_Message() + ' XxXxX'
    PRINT 'XxXxX END Tool_ScriptDiagram2005 - fix the error before running again XxXxX'
    RETURN
END CATCH
 
PRINT 'Now add all the binary data...'
BEGIN TRY
    UPDATE sysdiagrams SET [definition] .Write ( 0xD0CF11E0A1B11AE1000000000000000000000000000000003E000300FEFF0900, null, 0) WHERE diagram_id = @newid -- index:1
    UPDATE sysdiagrams SET [definition] .Write ( 0x0600000000000000000000000100000001000000000000000010000002000000, null, 0) WHERE diagram_id = @newid -- index:33
    UPDATE sysdiagrams SET [definition] .Write ( 0x01000000FEFFFFFF0000000000000000FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:65
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:97
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:129
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:161
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:193
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:225
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:257
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:289
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:321
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:353
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:385
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:417
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:449
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:481
    UPDATE sysdiagrams SET [definition] .Write ( 0xFDFFFFFF0C000000FEFFFFFF0400000005000000060000000700000008000000, null, 0) WHERE diagram_id = @newid -- index:513
    UPDATE sysdiagrams SET [definition] .Write ( 0x090000000A0000000B0000000D000000FEFFFFFF0E0000000F00000010000000, null, 0) WHERE diagram_id = @newid -- index:545
    UPDATE sysdiagrams SET [definition] .Write ( 0x110000001200000013000000FEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:577
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:609
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:641
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:673
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:705
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:737
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:769
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:801
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:833
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:865
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:897
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:929
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:961
    UPDATE sysdiagrams SET [definition] .Write ( 0xFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:993
    UPDATE sysdiagrams SET [definition] .Write ( 0x52006F006F007400200045006E00740072007900000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1025
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1057
    UPDATE sysdiagrams SET [definition] .Write ( 0x16000500FFFFFFFFFFFFFFFF0200000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1089
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000000000000000705E7782C53FCC0103000000001F000000000000, null, 0) WHERE diagram_id = @newid -- index:1121
    UPDATE sysdiagrams SET [definition] .Write ( 0x6600000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1153
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1185
    UPDATE sysdiagrams SET [definition] .Write ( 0x04000201FFFFFFFFFFFFFFFFFFFFFFFF00000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1217
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000000000000000000000000000000000000000CA03000000000000, null, 0) WHERE diagram_id = @newid -- index:1249
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F00000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1281
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1313
    UPDATE sysdiagrams SET [definition] .Write ( 0x040002010100000004000000FFFFFFFF00000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1345
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000000000000000000000000000000010000000B70C000000000000, null, 0) WHERE diagram_id = @newid -- index:1377
    UPDATE sysdiagrams SET [definition] .Write ( 0x010043006F006D0070004F0062006A0000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1409
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1441
    UPDATE sysdiagrams SET [definition] .Write ( 0x12000201FFFFFFFFFFFFFFFFFFFFFFFF00000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:1473
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000430000005F00000000000000, null, 0) WHERE diagram_id = @newid -- index:1505
    UPDATE sysdiagrams SET [definition] .Write ( 0x0100000002000000030000000400000005000000060000000700000008000000, null, 0) WHERE diagram_id = @newid -- index:1537
    UPDATE sysdiagrams SET [definition] .Write ( 0x090000000A0000000B0000000C0000000D0000000E0000000F000000FEFFFFFF, null, 0) WHERE diagram_id = @newid -- index:1569
    UPDATE sysdiagrams SET [definition] .Write ( 0x1100000012000000130000001400000015000000160000001700000018000000, null, 0) WHERE diagram_id = @newid -- index:1601
    UPDATE sysdiagrams SET [definition] .Write ( 0x190000001A0000001B0000001C0000001D0000001E0000001F00000020000000, null, 0) WHERE diagram_id = @newid -- index:1633
    UPDATE sysdiagrams SET [definition] .Write ( 0x2100000022000000230000002400000025000000260000002700000028000000, null, 0) WHERE diagram_id = @newid -- index:1665
    UPDATE sysdiagrams SET [definition] .Write ( 0x290000002A0000002B0000002C0000002D0000002E0000002F00000030000000, null, 0) WHERE diagram_id = @newid -- index:1697
    UPDATE sysdiagrams SET [definition] .Write ( 0x3100000032000000330000003400000035000000360000003700000038000000, null, 0) WHERE diagram_id = @newid -- index:1729
    UPDATE sysdiagrams SET [definition] .Write ( 0x390000003A0000003B0000003C0000003D0000003E0000003F00000040000000, null, 0) WHERE diagram_id = @newid -- index:1761
    UPDATE sysdiagrams SET [definition] .Write ( 0x4100000042000000FEFFFFFF44000000FEFFFFFF460000004700000048000000, null, 0) WHERE diagram_id = @newid -- index:1793
    UPDATE sysdiagrams SET [definition] .Write ( 0x490000004A0000004B0000004C0000004D0000004E0000004F00000050000000, null, 0) WHERE diagram_id = @newid -- index:1825
    UPDATE sysdiagrams SET [definition] .Write ( 0x5100000052000000530000005400000055000000560000005700000058000000, null, 0) WHERE diagram_id = @newid -- index:1857
    UPDATE sysdiagrams SET [definition] .Write ( 0x590000005A0000005B0000005C0000005D0000005E0000005F00000060000000, null, 0) WHERE diagram_id = @newid -- index:1889
    UPDATE sysdiagrams SET [definition] .Write ( 0x6100000062000000630000006400000065000000660000006700000068000000, null, 0) WHERE diagram_id = @newid -- index:1921
    UPDATE sysdiagrams SET [definition] .Write ( 0x690000006A0000006B0000006C0000006D0000006E000000FEFFFFFFFEFFFFFF, null, 0) WHERE diagram_id = @newid -- index:1953
    UPDATE sysdiagrams SET [definition] .Write ( 0x7100000072000000730000007400000075000000760000007700000078000000, null, 0) WHERE diagram_id = @newid -- index:1985
    UPDATE sysdiagrams SET [definition] .Write ( 0x790000007A000000FEFFFFFFFEFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF, null, 0) WHERE diagram_id = @newid -- index:2017
    UPDATE sysdiagrams SET [definition] .Write ( 0x000430000A1E100C05000080140000000F00FFFF14000000007D0000297D0000, null, 0) WHERE diagram_id = @newid -- index:2049
    UPDATE sysdiagrams SET [definition] .Write ( 0x78580000078F00000C6A00000E0A000078ECFFFFDE805B10F195D011B0A000AA, null, 0) WHERE diagram_id = @newid -- index:2081
    UPDATE sysdiagrams SET [definition] .Write ( 0x00BDCB5C000008003000000000020000030000003C006B000000090000000000, null, 0) WHERE diagram_id = @newid -- index:2113
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000D9E6B0E91C81D011AD5100A0C90F5739F43B7F847F61C74385352986E1D5, null, 0) WHERE diagram_id = @newid -- index:2145
    UPDATE sysdiagrams SET [definition] .Write ( 0x52F8A0327DB2D86295428D98273C25A2DA2D00002C0043200000000000000000, null, 0) WHERE diagram_id = @newid -- index:2177
    UPDATE sysdiagrams SET [definition] .Write ( 0x000053444DD2011FD1118E63006097D2DF4834C9D2777977D811907000065B84, null, 0) WHERE diagram_id = @newid -- index:2209
    UPDATE sysdiagrams SET [definition] .Write ( 0x0D9C00002C0043200000000000000000000051444DD2011FD1118E63006097D2, null, 0) WHERE diagram_id = @newid -- index:2241
    UPDATE sysdiagrams SET [definition] .Write ( 0xDF4834C9D2777977D811907000065B840D9C0A000000D0020000008A01000000, null, 0) WHERE diagram_id = @newid -- index:2273
    UPDATE sysdiagrams SET [definition] .Write ( 0x3000A5090000070000800B0000009C0200000080000005000080536368477269, null, 0) WHERE diagram_id = @newid -- index:2305
    UPDATE sysdiagrams SET [definition] .Write ( 0x6400F60900002A120000526F6C657369640000003800A5090000070000800C00, null, 0) WHERE diagram_id = @newid -- index:2337
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000AE020000008000000E0000805363684772696400F6090000D4FEFFFF5573, null, 0) WHERE diagram_id = @newid -- index:2369
    UPDATE sysdiagrams SET [definition] .Write ( 0x657247726F7570526F6C6573000000007400A5090000070000800D0000005200, null, 0) WHERE diagram_id = @newid -- index:2401
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000018000004B000080436F6E74726F6C00EB120000D005000052656C617469, null, 0) WHERE diagram_id = @newid -- index:2433
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F6E736869702027464B5F5573657247726F7570526F6C65735F526F6C657327, null, 0) WHERE diagram_id = @newid -- index:2465
    UPDATE sysdiagrams SET [definition] .Write ( 0x206265747765656E2027526F6C65732720616E6420275573657247726F757052, null, 0) WHERE diagram_id = @newid -- index:2497
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F6C6573270000002800B5010000070000800E00000031000000610000000280, null, 0) WHERE diagram_id = @newid -- index:2529
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000436F6E74726F6C0031150000B40C000000003400A5090000070000800F00, null, 0) WHERE diagram_id = @newid -- index:2561
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000A6020000008000000A00008053636847726964006E280000AAECFFFF5573, null, 0) WHERE diagram_id = @newid -- index:2593
    UPDATE sysdiagrams SET [definition] .Write ( 0x657247726F7570736F6C00008000A50900000700008010000000620000000180, null, 0) WHERE diagram_id = @newid -- index:2625
    UPDATE sysdiagrams SET [definition] .Write ( 0x000055000080436F6E74726F6C00DF1D0000EFF0FFFF52656C6174696F6E7368, null, 0) WHERE diagram_id = @newid -- index:2657
    UPDATE sysdiagrams SET [definition] .Write ( 0x69702027464B5F5573657247726F7570526F6C65735F5573657247726F757073, null, 0) WHERE diagram_id = @newid -- index:2689
    UPDATE sysdiagrams SET [definition] .Write ( 0x27206265747765656E20275573657247726F7570732720616E64202755736572, null, 0) WHERE diagram_id = @newid -- index:2721
    UPDATE sysdiagrams SET [definition] .Write ( 0x47726F7570526F6C65732700000000002800B501000007000080110000003100, null, 0) WHERE diagram_id = @newid -- index:2753
    UPDATE sysdiagrams SET [definition] .Write ( 0x00006B00000002800000436F6E74726F6C008A2700006BFEFFFF00003000A509, null, 0) WHERE diagram_id = @newid -- index:2785
    UPDATE sysdiagrams SET [definition] .Write ( 0x000007000080120000009C020000008000000500008053636847726964006E28, null, 0) WHERE diagram_id = @newid -- index:2817
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000C2010000557365727369640000006C00A509000007000080130000005200, null, 0) WHERE diagram_id = @newid -- index:2849
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000180000043000080436F6E74726F6C0063310000D6F5FFFF52656C617469, null, 0) WHERE diagram_id = @newid -- index:2881
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F6E736869702027464B5F55736572735F5573657247726F7570732720626574, null, 0) WHERE diagram_id = @newid -- index:2913
    UPDATE sysdiagrams SET [definition] .Write ( 0x7765656E20275573657247726F7570732720616E642027557365727327110000, null, 0) WHERE diagram_id = @newid -- index:2945
    UPDATE sysdiagrams SET [definition] .Write ( 0x2800B50100000700008014000000310000005900000002800000436F6E74726F, null, 0) WHERE diagram_id = @newid -- index:2977
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C003E260000D5FCFFFF00000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3009
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3041
    UPDATE sysdiagrams SET [definition] .Write ( 0x214334120800000015150000B709000078563412070000001401000052006F00, null, 0) WHERE diagram_id = @newid -- index:3073
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C006500730000002800530045004C0045004300540020006E0061006D006500, null, 0) WHERE diagram_id = @newid -- index:3105
    UPDATE sysdiagrams SET [definition] .Write ( 0x2C002000760061006C00750065002000460052004F004D002000730079007300, null, 0) WHERE diagram_id = @newid -- index:3137
    UPDATE sysdiagrams SET [definition] .Write ( 0x2E0065007800740065006E006400650064005F00700072006F00700065007200, null, 0) WHERE diagram_id = @newid -- index:3169
    UPDATE sysdiagrams SET [definition] .Write ( 0x74006900650073002000570048004500520045002000280063006C0061007300, null, 0) WHERE diagram_id = @newid -- index:3201
    UPDATE sysdiagrams SET [definition] .Write ( 0x730020003D00200031002900200041004E004400200028006D0061006A006F00, null, 0) WHERE diagram_id = @newid -- index:3233
    UPDATE sysdiagrams SET [definition] .Write ( 0x72005F006900640020003D0020004F0042004A004500430054005F0049004400, null, 0) WHERE diagram_id = @newid -- index:3265
    UPDATE sysdiagrams SET [definition] .Write ( 0x28004E0027005B00640062006F005D002E005B00550073006500720073005D00, null, 0) WHERE diagram_id = @newid -- index:3297
    UPDATE sysdiagrams SET [definition] .Write ( 0x2700290029002000410000000000000000000000010000000500000054000000, null, 0) WHERE diagram_id = @newid -- index:3329
    UPDATE sysdiagrams SET [definition] .Write ( 0x2C0000002C0000002C0000003400000000000000000000009624000077140000, null, 0) WHERE diagram_id = @newid -- index:3361
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000002D010000070000000C000000070000001C010000BC07000054060000, null, 0) WHERE diagram_id = @newid -- index:3393
    UPDATE sysdiagrams SET [definition] .Write ( 0xD0020000840300007602000038040000460500002A03000046050000AE060000, null, 0) WHERE diagram_id = @newid -- index:3425
    UPDATE sysdiagrams SET [definition] .Write ( 0x92040000000000000100000015150000B7090000000000000200000002000000, null, 0) WHERE diagram_id = @newid -- index:3457
    UPDATE sysdiagrams SET [definition] .Write ( 0x02000000020000001C010000AB0900000000000001000000C7110000FF050000, null, 0) WHERE diagram_id = @newid -- index:3489
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000010000000100000002000000020000001C010000BC07000001000000, null, 0) WHERE diagram_id = @newid -- index:3521
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000C7110000ED0300000000000000000000000000000200000002000000, null, 0) WHERE diagram_id = @newid -- index:3553
    UPDATE sysdiagrams SET [definition] .Write ( 0x1C010000BC0700000000000000000000072C0000DE2000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3585
    UPDATE sysdiagrams SET [definition] .Write ( 0x0D00000004000000040000001C010000BC07000024090000A005000078563412, null, 0) WHERE diagram_id = @newid -- index:3617
    UPDATE sysdiagrams SET [definition] .Write ( 0x040000005400000001000000010000000B000000000000000100000002000000, null, 0) WHERE diagram_id = @newid -- index:3649
    UPDATE sysdiagrams SET [definition] .Write ( 0x030000000400000005000000060000000700000008000000090000000A000000, null, 0) WHERE diagram_id = @newid -- index:3681
    UPDATE sysdiagrams SET [definition] .Write ( 0x04000000640062006F0000000600000052006F006C0065007300000021433412, null, 0) WHERE diagram_id = @newid -- index:3713
    UPDATE sysdiagrams SET [definition] .Write ( 0x0800000015150000B70900007856341207000000140100005500730065007200, null, 0) WHERE diagram_id = @newid -- index:3745
    UPDATE sysdiagrams SET [definition] .Write ( 0x470072006F007500700052006F006C0065007300000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3777
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3809
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3841
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3873
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3905
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3937
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:3969
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000000000000000000000000100000005000000540000002C000000, null, 0) WHERE diagram_id = @newid -- index:4001
    UPDATE sysdiagrams SET [definition] .Write ( 0x2C0000002C000000340000000000000000000000962400007714000000000000, null, 0) WHERE diagram_id = @newid -- index:4033
    UPDATE sysdiagrams SET [definition] .Write ( 0x2D010000070000000C000000070000001C010000BC07000054060000D0020000, null, 0) WHERE diagram_id = @newid -- index:4065
    UPDATE sysdiagrams SET [definition] .Write ( 0x840300007602000038040000460500002A03000046050000AE06000092040000, null, 0) WHERE diagram_id = @newid -- index:4097
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000100000015150000B709000000000000020000000200000002000000, null, 0) WHERE diagram_id = @newid -- index:4129
    UPDATE sysdiagrams SET [definition] .Write ( 0x020000001C010000AB0900000000000001000000C71100001008000000000000, null, 0) WHERE diagram_id = @newid -- index:4161
    UPDATE sysdiagrams SET [definition] .Write ( 0x020000000200000002000000020000001C010000BC0700000100000000000000, null, 0) WHERE diagram_id = @newid -- index:4193
    UPDATE sysdiagrams SET [definition] .Write ( 0xC7110000ED03000000000000000000000000000002000000020000001C010000, null, 0) WHERE diagram_id = @newid -- index:4225
    UPDATE sysdiagrams SET [definition] .Write ( 0xBC0700000000000000000000072C0000DE20000000000000000000000D000000, null, 0) WHERE diagram_id = @newid -- index:4257
    UPDATE sysdiagrams SET [definition] .Write ( 0x04000000040000001C010000BC07000024090000A00500007856341204000000, null, 0) WHERE diagram_id = @newid -- index:4289
    UPDATE sysdiagrams SET [definition] .Write ( 0x6600000001000000010000000B00000000000000010000000200000003000000, null, 0) WHERE diagram_id = @newid -- index:4321
    UPDATE sysdiagrams SET [definition] .Write ( 0x0400000005000000060000000700000008000000090000000A00000004000000, null, 0) WHERE diagram_id = @newid -- index:4353
    UPDATE sysdiagrams SET [definition] .Write ( 0x640062006F0000000F0000005500730065007200470072006F00750070005200, null, 0) WHERE diagram_id = @newid -- index:4385
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F006C0065007300000002000B00821400002A120000821400008B0800000000, null, 0) WHERE diagram_id = @newid -- index:4417
    UPDATE sysdiagrams SET [definition] .Write ( 0x000002000000F0F0F00000000000000000000000000000000000010000000E00, null, 0) WHERE diagram_id = @newid -- index:4449
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000000031150000B40C00004E0E00005801000032000000010000020000, null, 0) WHERE diagram_id = @newid -- index:4481
    UPDATE sysdiagrams SET [definition] .Write ( 0x4E0E000058010000020000000000050000800800008001000000150001000000, null, 0) WHERE diagram_id = @newid -- index:4513
    UPDATE sysdiagrams SET [definition] .Write ( 0x900144420100065461686F6D61170046004B005F005500730065007200470072, null, 0) WHERE diagram_id = @newid -- index:4545
    UPDATE sysdiagrams SET [definition] .Write ( 0x006F007500700052006F006C00650073005F0052006F006C0065007300214334, null, 0) WHERE diagram_id = @newid -- index:4577
    UPDATE sysdiagrams SET [definition] .Write ( 0x120800000015150000E30B000078563412070000001401000055007300650072, null, 0) WHERE diagram_id = @newid -- index:4609
    UPDATE sysdiagrams SET [definition] .Write ( 0x00470072006F0075007000730000006C006500730000002000430075006C0074, null, 0) WHERE diagram_id = @newid -- index:4641
    UPDATE sysdiagrams SET [definition] .Write ( 0x007500720065003D006E00650075007400720061006C002C0020005000750062, null, 0) WHERE diagram_id = @newid -- index:4673
    UPDATE sysdiagrams SET [definition] .Write ( 0x006C00690063004B006500790054006F006B0065006E003D0062003000330066, null, 0) WHERE diagram_id = @newid -- index:4705
    UPDATE sysdiagrams SET [definition] .Write ( 0x0035006600370066003100310064003500300061003300610000000000000000, null, 0) WHERE diagram_id = @newid -- index:4737
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:4769
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:4801
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:4833
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000000000000000000000000000000100000005000000540000002C0000, null, 0) WHERE diagram_id = @newid -- index:4865
    UPDATE sysdiagrams SET [definition] .Write ( 0x002C0000002C0000003400000000000000000000009624000077140000000000, null, 0) WHERE diagram_id = @newid -- index:4897
    UPDATE sysdiagrams SET [definition] .Write ( 0x002D010000070000000C000000070000001C010000BC07000054060000D00200, null, 0) WHERE diagram_id = @newid -- index:4929
    UPDATE sysdiagrams SET [definition] .Write ( 0x00840300007602000038040000460500002A03000046050000AE060000920400, null, 0) WHERE diagram_id = @newid -- index:4961
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000000100000015150000E30B0000000000000300000003000000020000, null, 0) WHERE diagram_id = @newid -- index:4993
    UPDATE sysdiagrams SET [definition] .Write ( 0x00020000001C010000AB0900000000000001000000C7110000FF050000000000, null, 0) WHERE diagram_id = @newid -- index:5025
    UPDATE sysdiagrams SET [definition] .Write ( 0x00010000000100000002000000020000001C010000BC07000001000000000000, null, 0) WHERE diagram_id = @newid -- index:5057
    UPDATE sysdiagrams SET [definition] .Write ( 0x00C7110000ED03000000000000000000000000000002000000020000001C0100, null, 0) WHERE diagram_id = @newid -- index:5089
    UPDATE sysdiagrams SET [definition] .Write ( 0x00BC0700000000000000000000072C0000DE20000000000000000000000D0000, null, 0) WHERE diagram_id = @newid -- index:5121
    UPDATE sysdiagrams SET [definition] .Write ( 0x0004000000040000001C010000BC07000024090000A005000078563412040000, null, 0) WHERE diagram_id = @newid -- index:5153
    UPDATE sysdiagrams SET [definition] .Write ( 0x005E00000001000000010000000B000000000000000100000002000000030000, null, 0) WHERE diagram_id = @newid -- index:5185
    UPDATE sysdiagrams SET [definition] .Write ( 0x000400000005000000060000000700000008000000090000000A000000040000, null, 0) WHERE diagram_id = @newid -- index:5217
    UPDATE sysdiagrams SET [definition] .Write ( 0x00640062006F0000000B0000005500730065007200470072006F007500700073, null, 0) WHERE diagram_id = @newid -- index:5249
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000004000B006E28000086F2FFFFDB26000086F2FFFFDB260000840300000B, null, 0) WHERE diagram_id = @newid -- index:5281
    UPDATE sysdiagrams SET [definition] .Write ( 0x1F0000840300000000000002000000F0F0F00000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:5313
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000100000011000000000000008A2700006BFEFFFFAF1100005801000030, null, 0) WHERE diagram_id = @newid -- index:5345
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000010000020000AF11000058010000020000000000FFFFFF000800008001, null, 0) WHERE diagram_id = @newid -- index:5377
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000150001000000900144420100065461686F6D611C0046004B005F005500, null, 0) WHERE diagram_id = @newid -- index:5409
    UPDATE sysdiagrams SET [definition] .Write ( 0x730065007200470072006F007500700052006F006C00650073005F0055007300, null, 0) WHERE diagram_id = @newid -- index:5441
    UPDATE sysdiagrams SET [definition] .Write ( 0x65007200470072006F00750070007300214334120800000015150000E8180000, null, 0) WHERE diagram_id = @newid -- index:5473
    UPDATE sysdiagrams SET [definition] .Write ( 0x7856341207000000140100005500730065007200730000002800530045004C00, null, 0) WHERE diagram_id = @newid -- index:5505
    UPDATE sysdiagrams SET [definition] .Write ( 0x45004300540020006E0061006D0065002C002000760061006C00750065002000, null, 0) WHERE diagram_id = @newid -- index:5537
    UPDATE sysdiagrams SET [definition] .Write ( 0x460052004F004D0020007300790073002E0065007800740065006E0064006500, null, 0) WHERE diagram_id = @newid -- index:5569
    UPDATE sysdiagrams SET [definition] .Write ( 0x64005F00700072006F0070006500720074006900650073002000570048004500, null, 0) WHERE diagram_id = @newid -- index:5601
    UPDATE sysdiagrams SET [definition] .Write ( 0x520045002000280063006C0061007300730020003D0020003100290020004100, null, 0) WHERE diagram_id = @newid -- index:5633
    UPDATE sysdiagrams SET [definition] .Write ( 0x4E004400200028006D0061006A006F0072005F006900640020003D0020004F00, null, 0) WHERE diagram_id = @newid -- index:5665
    UPDATE sysdiagrams SET [definition] .Write ( 0x42004A004500430054005F004900440028004E0027005B00640062006F005D00, null, 0) WHERE diagram_id = @newid -- index:5697
    UPDATE sysdiagrams SET [definition] .Write ( 0x2E005B0052006F006C00650073005D0027002900290020004100000000000000, null, 0) WHERE diagram_id = @newid -- index:5729
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000100000005000000540000002C0000002C0000002C00000034000000, null, 0) WHERE diagram_id = @newid -- index:5761
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000000096240000BB1C0000000000002D0100000B0000000C000000, null, 0) WHERE diagram_id = @newid -- index:5793
    UPDATE sysdiagrams SET [definition] .Write ( 0x070000001C010000BC07000054060000D0020000840300007602000038040000, null, 0) WHERE diagram_id = @newid -- index:5825
    UPDATE sysdiagrams SET [definition] .Write ( 0x460500002A03000046050000AE06000092040000000000000100000015150000, null, 0) WHERE diagram_id = @newid -- index:5857
    UPDATE sysdiagrams SET [definition] .Write ( 0xE818000000000000090000000900000002000000020000001C010000AB090000, null, 0) WHERE diagram_id = @newid -- index:5889
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000001000000C71100001008000000000000020000000200000002000000, null, 0) WHERE diagram_id = @newid -- index:5921
    UPDATE sysdiagrams SET [definition] .Write ( 0x020000001C010000BC0700000100000000000000C7110000ED03000000000000, null, 0) WHERE diagram_id = @newid -- index:5953
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000000002000000020000001C010000BC0700000000000000000000, null, 0) WHERE diagram_id = @newid -- index:5985
    UPDATE sysdiagrams SET [definition] .Write ( 0x072C0000DE20000000000000000000000D00000004000000040000001C010000, null, 0) WHERE diagram_id = @newid -- index:6017
    UPDATE sysdiagrams SET [definition] .Write ( 0xBC07000024090000A00500007856341204000000540000000100000001000000, null, 0) WHERE diagram_id = @newid -- index:6049
    UPDATE sysdiagrams SET [definition] .Write ( 0x0B00000000000000010000000200000003000000040000000500000006000000, null, 0) WHERE diagram_id = @newid -- index:6081
    UPDATE sysdiagrams SET [definition] .Write ( 0x0700000008000000090000000A00000004000000640062006F00000006000000, null, 0) WHERE diagram_id = @newid -- index:6113
    UPDATE sysdiagrams SET [definition] .Write ( 0x55007300650072007300000002000B00FA3200008DF8FFFFFA320000C2010000, null, 0) WHERE diagram_id = @newid -- index:6145
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000002000000F0F0F0000000000000000000000000000000000001000000, null, 0) WHERE diagram_id = @newid -- index:6177
    UPDATE sysdiagrams SET [definition] .Write ( 0x14000000000000003E260000D5FCFFFF0D0C0000580100003600000001000002, null, 0) WHERE diagram_id = @newid -- index:6209
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000D0C000058010000020000000000FFFFFF00080000800100000015000100, null, 0) WHERE diagram_id = @newid -- index:6241
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000900144420100065461686F6D61130046004B005F00550073006500720073, null, 0) WHERE diagram_id = @newid -- index:6273
    UPDATE sysdiagrams SET [definition] .Write ( 0x005F005500730065007200470072006F00750070007300000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6305
    UPDATE sysdiagrams SET [definition] .Write ( 0x0100FEFF030A0000FFFFFFFF0000000000000000000000000000000017000000, null, 0) WHERE diagram_id = @newid -- index:6337
    UPDATE sysdiagrams SET [definition] .Write ( 0x4D6963726F736F66742044445320466F726D20322E300010000000456D626564, null, 0) WHERE diagram_id = @newid -- index:6369
    UPDATE sysdiagrams SET [definition] .Write ( 0x646564204F626A6563740000000000F439B27100000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6401
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6433
    UPDATE sysdiagrams SET [definition] .Write ( 0x0C0000000E0A000078ECFFFF0100260000007300630068005F006C0061006200, null, 0) WHERE diagram_id = @newid -- index:6465
    UPDATE sysdiagrams SET [definition] .Write ( 0x65006C0073005F00760069007300690062006C0065000000010000000B000000, null, 0) WHERE diagram_id = @newid -- index:6497
    UPDATE sysdiagrams SET [definition] .Write ( 0x1E00000000000000000000000000000000000000640000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6529
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000000000000000000000000B0000000B00000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6561
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000D002000006002800000041006300740069007600650054006100, null, 0) WHERE diagram_id = @newid -- index:6593
    UPDATE sysdiagrams SET [definition] .Write ( 0x62006C00650056006900650077004D006F006400650000000100000008000400, null, 0) WHERE diagram_id = @newid -- index:6625
    UPDATE sysdiagrams SET [definition] .Write ( 0x0300440064007300530074007200650061006D00000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6657
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6689
    UPDATE sysdiagrams SET [definition] .Write ( 0x160002000300000006000000FFFFFFFF00000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6721
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000450000007F0A000000000000, null, 0) WHERE diagram_id = @newid -- index:6753
    UPDATE sysdiagrams SET [definition] .Write ( 0x53006300680065006D0061002000550044005600200044006500660061007500, null, 0) WHERE diagram_id = @newid -- index:6785
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C00740000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6817
    UPDATE sysdiagrams SET [definition] .Write ( 0x26000200FFFFFFFFFFFFFFFFFFFFFFFF00000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6849
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000000000000000000000000000000000006F0000001600000000000000, null, 0) WHERE diagram_id = @newid -- index:6881
    UPDATE sysdiagrams SET [definition] .Write ( 0x440053005200450046002D0053004300480045004D0041002D0043004F004E00, null, 0) WHERE diagram_id = @newid -- index:6913
    UPDATE sysdiagrams SET [definition] .Write ( 0x540045004E005400530000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6945
    UPDATE sysdiagrams SET [definition] .Write ( 0x2C0002010500000007000000FFFFFFFF00000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:6977
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000000000000000000000000000000070000000B602000000000000, null, 0) WHERE diagram_id = @newid -- index:7009
    UPDATE sysdiagrams SET [definition] .Write ( 0x53006300680065006D0061002000550044005600200044006500660061007500, null, 0) WHERE diagram_id = @newid -- index:7041
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C007400200050006F0073007400200056003600000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:7073
    UPDATE sysdiagrams SET [definition] .Write ( 0x36000200FFFFFFFFFFFFFFFFFFFFFFFF00000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:7105
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000000000000000000000000000000000007B0000001200000000000000, null, 0) WHERE diagram_id = @newid -- index:7137
    UPDATE sysdiagrams SET [definition] .Write ( 0x000031000000200000005400610062006C00650056006900650077004D006F00, null, 0) WHERE diagram_id = @newid -- index:7169
    UPDATE sysdiagrams SET [definition] .Write ( 0x640065003A00300000000100000008003A00000034002C0030002C0032003800, null, 0) WHERE diagram_id = @newid -- index:7201
    UPDATE sysdiagrams SET [definition] .Write ( 0x34002C0030002C0031003900380030002C0031002C0031003600320030002C00, null, 0) WHERE diagram_id = @newid -- index:7233
    UPDATE sysdiagrams SET [definition] .Write ( 0x35002C0031003000380030000000200000005400610062006C00650056006900, null, 0) WHERE diagram_id = @newid -- index:7265
    UPDATE sysdiagrams SET [definition] .Write ( 0x650077004D006F00640065003A00310000000100000008001E00000032002C00, null, 0) WHERE diagram_id = @newid -- index:7297
    UPDATE sysdiagrams SET [definition] .Write ( 0x30002C003200380034002C0030002C0032003400370035000000200000005400, null, 0) WHERE diagram_id = @newid -- index:7329
    UPDATE sysdiagrams SET [definition] .Write ( 0x610062006C00650056006900650077004D006F00640065003A00320000000100, null, 0) WHERE diagram_id = @newid -- index:7361
    UPDATE sysdiagrams SET [definition] .Write ( 0x000008001E00000032002C0030002C003200380034002C0030002C0031003900, null, 0) WHERE diagram_id = @newid -- index:7393
    UPDATE sysdiagrams SET [definition] .Write ( 0x380030000000200000005400610062006C00650056006900650077004D006F00, null, 0) WHERE diagram_id = @newid -- index:7425
    UPDATE sysdiagrams SET [definition] .Write ( 0x640065003A00330000000100000008001E00000032002C0030002C0032003800, null, 0) WHERE diagram_id = @newid -- index:7457
    UPDATE sysdiagrams SET [definition] .Write ( 0x34002C0030002C0031003900380030000000200000005400610062006C006500, null, 0) WHERE diagram_id = @newid -- index:7489
    UPDATE sysdiagrams SET [definition] .Write ( 0x56006900650077004D006F00640065003A00340000000100000008003E000000, null, 0) WHERE diagram_id = @newid -- index:7521
    UPDATE sysdiagrams SET [definition] .Write ( 0x34002C0030002C003200380034002C0030002C0031003900380030002C003100, null, 0) WHERE diagram_id = @newid -- index:7553
    UPDATE sysdiagrams SET [definition] .Write ( 0x32002C0032003300340030002C00310031002C00310034003400300000000C00, null, 0) WHERE diagram_id = @newid -- index:7585
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000C00000000000000000000000000000000000000D0020000060028000000, null, 0) WHERE diagram_id = @newid -- index:7617
    UPDATE sysdiagrams SET [definition] .Write ( 0x4100630074006900760065005400610062006C00650056006900650077004D00, null, 0) WHERE diagram_id = @newid -- index:7649
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F00640065000000010000000800040000003100000020000000540061006200, null, 0) WHERE diagram_id = @newid -- index:7681
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C00650056006900650077004D006F00640065003A0030000000010000000800, null, 0) WHERE diagram_id = @newid -- index:7713
    UPDATE sysdiagrams SET [definition] .Write ( 0x3A00000034002C0030002C003200380034002C0030002C003100390038003000, null, 0) WHERE diagram_id = @newid -- index:7745
    UPDATE sysdiagrams SET [definition] .Write ( 0x2C0031002C0031003600320030002C0035002C00310030003800300000002000, null, 0) WHERE diagram_id = @newid -- index:7777
    UPDATE sysdiagrams SET [definition] .Write ( 0x00005400610062006C00650056006900650077004D006F00640065003A003100, null, 0) WHERE diagram_id = @newid -- index:7809
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000100000008001E00000032002C0030002C003200380034002C0030002C00, null, 0) WHERE diagram_id = @newid -- index:7841
    UPDATE sysdiagrams SET [definition] .Write ( 0x32003400370035000000200000005400610062006C0065005600690065007700, null, 0) WHERE diagram_id = @newid -- index:7873
    UPDATE sysdiagrams SET [definition] .Write ( 0x4D006F00640065003A00320000000100000008001E00000032002C0030002C00, null, 0) WHERE diagram_id = @newid -- index:7905
    UPDATE sysdiagrams SET [definition] .Write ( 0x3200380034002C0030002C003100390038003000000020000000540061006200, null, 0) WHERE diagram_id = @newid -- index:7937
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C00650056006900650077004D006F00640065003A0033000000010000000800, null, 0) WHERE diagram_id = @newid -- index:7969
    UPDATE sysdiagrams SET [definition] .Write ( 0x1E00000032002C0030002C003200380034002C0030002C003100390038003000, null, 0) WHERE diagram_id = @newid -- index:8001
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000200000005400610062006C00650056006900650077004D006F0064006500, null, 0) WHERE diagram_id = @newid -- index:8033
    UPDATE sysdiagrams SET [definition] .Write ( 0x3A00340000000100000008003E00000034002C0030002C003200380034002C00, null, 0) WHERE diagram_id = @newid -- index:8065
    UPDATE sysdiagrams SET [definition] .Write ( 0x30002C0031003900380030002C00310032002C0032003300340030002C003100, null, 0) WHERE diagram_id = @newid -- index:8097
    UPDATE sysdiagrams SET [definition] .Write ( 0x31002C00310034003400300000000D0000000D00000000000000400000000101, null, 0) WHERE diagram_id = @newid -- index:8129
    UPDATE sysdiagrams SET [definition] .Write ( 0x510D01000000640062006F00000046004B005F00550073006500720047007200, null, 0) WHERE diagram_id = @newid -- index:8161
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F007500700052006F006C00650073005F0052006F006C006500730000000000, null, 0) WHERE diagram_id = @newid -- index:8193
    UPDATE sysdiagrams SET [definition] .Write ( 0x000000000000C402000000000E0000000E0000000D00000008000000017F2D11, null, 0) WHERE diagram_id = @newid -- index:8225
    UPDATE sysdiagrams SET [definition] .Write ( 0xC87F2D110000000000000000AD0F00000100000F0000000F0000000000000000, null, 0) WHERE diagram_id = @newid -- index:8257
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000D00200000600280000004100630074006900760065, null, 0) WHERE diagram_id = @newid -- index:8289
    UPDATE sysdiagrams SET [definition] .Write ( 0x005400610062006C00650056006900650077004D006F00640065000000010000, null, 0) WHERE diagram_id = @newid -- index:8321
    UPDATE sysdiagrams SET [definition] .Write ( 0x0008000400000031000000200000005400610062006C00650056006900650077, null, 0) WHERE diagram_id = @newid -- index:8353
    UPDATE sysdiagrams SET [definition] .Write ( 0x004D006F00640065003A00300000000100000008003A00000034002C0030002C, null, 0) WHERE diagram_id = @newid -- index:8385
    UPDATE sysdiagrams SET [definition] .Write ( 0x003200380034002C0030002C0031003900380030002C0031002C003100360032, null, 0) WHERE diagram_id = @newid -- index:8417
    UPDATE sysdiagrams SET [definition] .Write ( 0x0030002C0035002C0031003000380030000000200000005400610062006C0065, null, 0) WHERE diagram_id = @newid -- index:8449
    UPDATE sysdiagrams SET [definition] .Write ( 0x0056006900650077004D006F00640065003A00310000000100000008001E0000, null, 0) WHERE diagram_id = @newid -- index:8481
    UPDATE sysdiagrams SET [definition] .Write ( 0x0032002C0030002C003200380034002C0030002C003200340037003500000020, null, 0) WHERE diagram_id = @newid -- index:8513
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000005400610062006C00650056006900650077004D006F00640065003A0032, null, 0) WHERE diagram_id = @newid -- index:8545
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000100000008001E00000032002C0030002C003200380034002C0030002C, null, 0) WHERE diagram_id = @newid -- index:8577
    UPDATE sysdiagrams SET [definition] .Write ( 0x0031003900380030000000200000005400610062006C00650056006900650077, null, 0) WHERE diagram_id = @newid -- index:8609
    UPDATE sysdiagrams SET [definition] .Write ( 0x004D006F00640065003A00330000000100000008001E00000032002C0030002C, null, 0) WHERE diagram_id = @newid -- index:8641
    UPDATE sysdiagrams SET [definition] .Write ( 0x003200380034002C0030002C0031003900380030000000200000005400610062, null, 0) WHERE diagram_id = @newid -- index:8673
    UPDATE sysdiagrams SET [definition] .Write ( 0x006C00650056006900650077004D006F00640065003A00340000000100000008, null, 0) WHERE diagram_id = @newid -- index:8705
    UPDATE sysdiagrams SET [definition] .Write ( 0x003E00000034002C0030002C003200380034002C0030002C0031003900380030, null, 0) WHERE diagram_id = @newid -- index:8737
    UPDATE sysdiagrams SET [definition] .Write ( 0x002C00310032002C0032003300340030002C00310031002C0031003400340030, null, 0) WHERE diagram_id = @newid -- index:8769
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000001000000010000000000000004A0000000101510D01000000640062006F, null, 0) WHERE diagram_id = @newid -- index:8801
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000046004B005F005500730065007200470072006F007500700052006F006C, null, 0) WHERE diagram_id = @newid -- index:8833
    UPDATE sysdiagrams SET [definition] .Write ( 0x00650073005F005500730065007200470072006F007500700073000000000000, null, 0) WHERE diagram_id = @newid -- index:8865
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000C402000000001100000011000000100000000800000001812D1148, null, 0) WHERE diagram_id = @newid -- index:8897
    UPDATE sysdiagrams SET [definition] .Write ( 0x812D110000000000000000AD0F00000100001200000012000000000000000000, null, 0) WHERE diagram_id = @newid -- index:8929
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000000000000000000D0020000060028000000410063007400690076006500, null, 0) WHERE diagram_id = @newid -- index:8961
    UPDATE sysdiagrams SET [definition] .Write ( 0x5400610062006C00650056006900650077004D006F0064006500000001000000, null, 0) WHERE diagram_id = @newid -- index:8993
    UPDATE sysdiagrams SET [definition] .Write ( 0x08000400000031000000200000005400610062006C0065005600690065007700, null, 0) WHERE diagram_id = @newid -- index:9025
    UPDATE sysdiagrams SET [definition] .Write ( 0x4D006F00640065003A00300000000100000008003A00000034002C0030002C00, null, 0) WHERE diagram_id = @newid -- index:9057
    UPDATE sysdiagrams SET [definition] .Write ( 0x3200380034002C0030002C0031003900380030002C0031002C00310036003200, null, 0) WHERE diagram_id = @newid -- index:9089
    UPDATE sysdiagrams SET [definition] .Write ( 0x30002C0035002C0031003000380030000000200000005400610062006C006500, null, 0) WHERE diagram_id = @newid -- index:9121
    UPDATE sysdiagrams SET [definition] .Write ( 0x56006900650077004D006F00640065003A00310000000100000008001E000000, null, 0) WHERE diagram_id = @newid -- index:9153
    UPDATE sysdiagrams SET [definition] .Write ( 0x32002C0030002C003200380034002C0030002C00320034003700350000002000, null, 0) WHERE diagram_id = @newid -- index:9185
    UPDATE sysdiagrams SET [definition] .Write ( 0x00005400610062006C00650056006900650077004D006F00640065003A003200, null, 0) WHERE diagram_id = @newid -- index:9217
    UPDATE sysdiagrams SET [definition] .Write ( 0x00000100000008001E00000032002C0030002C003200380034002C0030002C00, null, 0) WHERE diagram_id = @newid -- index:9249
    UPDATE sysdiagrams SET [definition] .Write ( 0x31003900380030000000200000005400610062006C0065005600690065007700, null, 0) WHERE diagram_id = @newid -- index:9281
    UPDATE sysdiagrams SET [definition] .Write ( 0x4D006F00640065003A00330000000100000008001E00000032002C0030002C00, null, 0) WHERE diagram_id = @newid -- index:9313
    UPDATE sysdiagrams SET [definition] .Write ( 0x3200380034002C0030002C003100390038003000000020000000540061006200, null, 0) WHERE diagram_id = @newid -- index:9345
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C00650056006900650077004D006F00640065003A0034000000010000000800, null, 0) WHERE diagram_id = @newid -- index:9377
    UPDATE sysdiagrams SET [definition] .Write ( 0x3E00000034002C0030002C003200380034002C0030002C003100390038003000, null, 0) WHERE diagram_id = @newid -- index:9409
    UPDATE sysdiagrams SET [definition] .Write ( 0x2C00310032002C0032003300340030002C00310031002C003100340034003000, null, 0) WHERE diagram_id = @newid -- index:9441
    UPDATE sysdiagrams SET [definition] .Write ( 0x00001300000013000000000000003800000001FF2D1101000000640062006F00, null, 0) WHERE diagram_id = @newid -- index:9473
    UPDATE sysdiagrams SET [definition] .Write ( 0x000046004B005F00550073006500720073005F00550073006500720047007200, null, 0) WHERE diagram_id = @newid -- index:9505
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F0075007000730000000000000000000000C402000000001400000014000000, null, 0) WHERE diagram_id = @newid -- index:9537
    UPDATE sysdiagrams SET [definition] .Write ( 0x130000000800000001822D1108822D110000000000000000AD0F00000100000F, null, 0) WHERE diagram_id = @newid -- index:9569
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000D0000000B0000000C0000002200000023000000130000000F00000012, null, 0) WHERE diagram_id = @newid -- index:9601
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000002300000022000000100000000F0000000C000000580000005500000000, null, 0) WHERE diagram_id = @newid -- index:9633
    UPDATE sysdiagrams SET [definition] .Write ( 0x010003000000000000000C0000000B0000004E61BC0000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:9665
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:9697
    UPDATE sysdiagrams SET [definition] .Write ( 0xDBE6B0E91C81D011AD5100A0C90F573900000200209B7682C53FCC0102020000, null, 0) WHERE diagram_id = @newid -- index:9729
    UPDATE sysdiagrams SET [definition] .Write ( 0x1048450000000000000000000000000000000000680100004400610074006100, null, 0) WHERE diagram_id = @newid -- index:9761
    UPDATE sysdiagrams SET [definition] .Write ( 0x200053006F0075007200630065003D002E003B0049006E006900740069006100, null, 0) WHERE diagram_id = @newid -- index:9793
    UPDATE sysdiagrams SET [definition] .Write ( 0x6C00200043006100740061006C006F0067003D00470053006900740065003B00, null, 0) WHERE diagram_id = @newid -- index:9825
    UPDATE sysdiagrams SET [definition] .Write ( 0x5000650072007300690073007400200053006500630075007200690074007900, null, 0) WHERE diagram_id = @newid -- index:9857
    UPDATE sysdiagrams SET [definition] .Write ( 0x200049006E0066006F003D0054007200750065003B0055007300650072002000, null, 0) WHERE diagram_id = @newid -- index:9889
    UPDATE sysdiagrams SET [definition] .Write ( 0x490044003D00730061003B004D0075006C007400690070006C00650041006300, null, 0) WHERE diagram_id = @newid -- index:9921
    UPDATE sysdiagrams SET [definition] .Write ( 0x740069007600650052006500730075006C00740053006500740073003D004600, null, 0) WHERE diagram_id = @newid -- index:9953
    UPDATE sysdiagrams SET [definition] .Write ( 0x61006C00730065003B005000610063006B00650074002000530069007A006500, null, 0) WHERE diagram_id = @newid -- index:9985
    UPDATE sysdiagrams SET [definition] .Write ( 0x3D0034003000390036003B004100700070006C00690063006100740069006F00, null, 0) WHERE diagram_id = @newid -- index:10017
    UPDATE sysdiagrams SET [definition] .Write ( 0x6E0020004E0061006D0065003D0022004D006900630072006F0073006F006600, null, 0) WHERE diagram_id = @newid -- index:10049
    UPDATE sysdiagrams SET [definition] .Write ( 0x74002000530051004C00200053006500720076006500720020004D0061006E00, null, 0) WHERE diagram_id = @newid -- index:10081
    UPDATE sysdiagrams SET [definition] .Write ( 0x6100670065006D0065006E0074002000530074007500640069006F0022000000, null, 0) WHERE diagram_id = @newid -- index:10113
    UPDATE sysdiagrams SET [definition] .Write ( 0x008005000A0000004D00610069006E000000000226000C00000052006F006C00, null, 0) WHERE diagram_id = @newid -- index:10145
    UPDATE sysdiagrams SET [definition] .Write ( 0x65007300000008000000640062006F000000000226001E000000550073006500, null, 0) WHERE diagram_id = @newid -- index:10177
    UPDATE sysdiagrams SET [definition] .Write ( 0x7200470072006F007500700052006F006C006500730000000800000064006200, null, 0) WHERE diagram_id = @newid -- index:10209
    UPDATE sysdiagrams SET [definition] .Write ( 0x6F00000000022600160000005500730065007200470072006F00750070007300, null, 0) WHERE diagram_id = @newid -- index:10241
    UPDATE sysdiagrams SET [definition] .Write ( 0x000008000000640062006F000000000224000C00000055007300650072007300, null, 0) WHERE diagram_id = @newid -- index:10273
    UPDATE sysdiagrams SET [definition] .Write ( 0x000008000000640062006F00000001000000D68509B3BB6BF2459AB8371664F0, null, 0) WHERE diagram_id = @newid -- index:10305
    UPDATE sysdiagrams SET [definition] .Write ( 0x327008004E0000007B00310036003300340043004400440037002D0030003800, null, 0) WHERE diagram_id = @newid -- index:10337
    UPDATE sysdiagrams SET [definition] .Write ( 0x380038002D0034003200450033002D0039004600410032002D00420036004400, null, 0) WHERE diagram_id = @newid -- index:10369
    UPDATE sysdiagrams SET [definition] .Write ( 0x3300320035003600330042003900310044007D00000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10401
    UPDATE sysdiagrams SET [definition] .Write ( 0x010003000000000000000C0000000B0000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10433
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10465
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10497
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10529
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10561
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10593
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10625
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10657
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10689
    UPDATE sysdiagrams SET [definition] .Write ( 0x0000000000000000000000000000000000000000000000000000000000000000, null, 0) WHERE diagram_id = @newid -- index:10721
    UPDATE sysdiagrams SET [definition] .Write ( 0x62885214, null, 0) WHERE diagram_id = @newid -- index:10753
 
    PRINT '=== Finished writing diagram id ' + CAST(@newid AS VARCHAR(100)) + '  ==='
    PRINT '=== Refresh your Databases-[DbName]-Database Diagrams to see the new diagram ==='
END TRY
BEGIN CATCH
    -- If we got here, the [definition] updates didn't complete, so delete the diagram row
    -- (and hope it doesn't fail!)
    DELETE FROM sysdiagrams WHERE diagram_id = @newid
    PRINT 'XxXxX ' + Error_Message() + ' XxXxX'
    PRINT 'XxXxX END Tool_ScriptDiagram2005 - fix the error before running again XxXxX'
    RETURN
END CATCH
