﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using System.Globalization;
using System.Threading;
using Microsoft.Practices.Unity;
using GSite.Utils.Unity;

namespace GSite.Web
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            filters.Add(new HandleErrorAttribute());
        }

        public static void RegisterRoutes(RouteCollection routes)
        {
            CultureInfo cultureInfo = CultureInfo.GetCultureInfo("bg-BG");

            Thread.CurrentThread.CurrentCulture = cultureInfo;
            Thread.CurrentThread.CurrentUICulture = cultureInfo; 

            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Route name
                "{language}/{controller}/{action}/{id}", // URL with parameters
                new { language = cultureInfo.Name, controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );

        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            RegisterGlobalFilters(GlobalFilters.Filters);
            RegisterRoutes(RouteTable.Routes);

            IUnityContainer unityContainer = UnityHelpers.GetDefaultContainer();
            UnityControllerFactory unityControllerFactory = new UnityControllerFactory(unityContainer);
            ControllerBuilder.Current.SetControllerFactory(unityControllerFactory);

        }

        protected void Session_Start(object sender, EventArgs e)
        {
            IUnityContainer unityContainer = UnityHelpers.GetDefaultContainer();
        }
    }
}